com.google.gwt.dom.builder.shared

## Class HtmlOptionBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<OptionBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlOptionBuilder

- All Implemented Interfaces:
    ElementBuilderBase<OptionBuilder>, OptionBuilder

      public class HtmlOptionBuilder
      extends HtmlElementBuilderBase<OptionBuilder>
      implements OptionBuilder

  HTML-based implementation of `OptionBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlOptionBuilder(HtmlBuilderImpl delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OptionBuilder` | `defaultSelected()` Represents the value of the HTML selected attribute.
    `OptionBuilder` | `disabled()` Prevents the user from selecting this option.
    `OptionBuilder` | `label(java.lang.String label)` Option label for use in menus.
    `OptionBuilder` | `selected()` Represents the current state of the corresponding form control, in an interactive user agent.
    `OptionBuilder` | `value(java.lang.String value)` The current form control value.

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

      `asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Constructor Detail

    - #### HtmlOptionBuilder

          HtmlOptionBuilder(HtmlBuilderImpl delegate)

  - ### Method Detail

    - #### defaultSelected

          public OptionBuilder defaultSelected()

      Description copied from interface: `OptionBuilder`
      Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.
      Specified by:
        `defaultSelected` in interface `OptionBuilder`
      See Also:
        W3C HTML Specification

    - #### disabled

          public OptionBuilder disabled()

      Description copied from interface: `OptionBuilder`
      Prevents the user from selecting this option.
      Specified by:
        `disabled` in interface `OptionBuilder`
      See Also:
        W3C HTML Specification

    - #### label

          public OptionBuilder label(java.lang.String label)

      Description copied from interface: `OptionBuilder`
      Option label for use in menus.
      Specified by:
        `label` in interface `OptionBuilder`
      See Also:
        W3C HTML Specification

    - #### selected

          public OptionBuilder selected()

      Description copied from interface: `OptionBuilder`
      Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.
      Specified by:
        `selected` in interface `OptionBuilder`

    - #### value

          public OptionBuilder value(java.lang.String value)

      Description copied from interface: `OptionBuilder`
      The current form control value.
      Specified by:
        `value` in interface `OptionBuilder`
      See Also:
        W3C HTML Specification